Subject: bug#65625: closed (Re: bug#65625: 30.0.50; electric-pair-skip-whitespace-chars choice looks wrong)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 31 Aug 2023 06:26:01 +0000

Your bug report

#65625: 30.0.50; electric-pair-skip-whitespace-chars choice looks wrong

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65625: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65625
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65625: 30.0.50; electric-pair-skip-whitespace-chars choice looks wrong
From: Stefan Kangas <[email-masked]>
To: Mauro Aranda <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 Aug 2023 08:24:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Mauro Aranda <[email-masked]> writes:

> What's important here is that the 2nd choice lets the user choose only
> one whitespace character, while it seems pretty clear to me
> that the intention was for the user to be able to customize it to a list
> of whitespace characters, not just to a list of one.  And that's what
> the repeat widget is for, so yes, it is a real improvement.

OK, makes sense.

> I attach a patch.

Thanks.  Installed on master as commit 4adedd29961, and I'm closing this bug.

Subject: 30.0.50; electric-pair-skip-whitespace-chars choice looks wrong
From: Mauro Aranda <[email-masked]>
To: [email-masked]
Date: Wed, 30 Aug 2023 12:34:43 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Looking at the electric-pair-skip-whitespace-chars defcustom:

(defcustom electric-pair-skip-whitespace-chars (list ?\t ?\s ?\n)
   "Whitespace characters considered by `electric-pair-skip-whitespace'."
   :version "24.4"
   :group 'electricity
   :type '(choice (set (const :tag "Space" ?\s)
                       (const :tag "Tab" ?\t)
                       (const :tag "Newline" ?\n))
                  (list character)))

I think the 2nd choice should be (repeat character) rather than
(list character).